function init(hero) {
    hero.setName("Batman");
    hero.setVersion("item.superhero_armor.version.comics");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
	
    hero.addPowers("fiskheroes:batsuit", "skarredheroes:kryptonite_ring");
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
	
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("BLADE", "Toggle Kryptonite Ring", 2);
	
    hero.addAttributeProfile("RING", bladeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("RING", {"types": {"KRYPTONITE": 1.0, "SHARP": 0.25}});
	
    
    hero.setHasPermission((entity, permission) => permission == "USE_GRAPPLING_GUN");
}

function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 6.8, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "RING" : null;
}
